cmake_minimum_required(VERSION 2.6.4 FATAL_ERROR)
cmake_policy(SET CMP0048 NEW)

include(CTest)

add_subdirectory(gtest-1.7.0)
set(GTEST_MAIN_CPP "${CMAKE_CURRENT_SOURCE_DIR}/gtest-1.7.0/src/gtest_main.cc")
set(UNITTEST_DATA_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../data")

include_directories(SYSTEM
	${CMAKE_CURRENT_SOURCE_DIR}/gtest-1.7.0/include
)

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -std=c++11")
set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3 -std=c++11")

add_definitions(
	-Wall
	-Wextra
	-Wpedantic
	-Wconversion
)

add_subdirectory(unit)
add_subdirectory(unit_noconv)
